Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf.common.border
Class RoundedLineBorder

    java.lang.Object
      javax.swing.border.AbstractBorder
          javax.swing.border.LineBorder
              org.flexdock.plaf.common.border.RoundedLineBorder

All Implemented Interfaces:
  Serializable, Border

    public class RoundedLineBorder

extends LineBorder

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.border.LineBorder
`lineColor, roundedCorners, thickness`

Constructor Summary
`RoundedLineBorder(Color color, int arcWidthHeight)`
`RoundedLineBorder(Color color, int arcWidthHeight, int thickness)`

Method Summary
`void` | `paintBorder(Component component, Graphics g, int i, int j, int k, int l)`
`void` | `setFilled(boolean filled)`

Methods inherited from class javax.swing.border.LineBorder
`createBlackLineBorder, createGrayLineBorder, getBorderInsets, getBorderInsets, getLineColor, getRoundedCorners, getThickness, isBorderOpaque`

Methods inherited from class javax.swing.border.AbstractBorder
`getBaseline, getBaselineResizeBehavior, getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoundedLineBorder

    public RoundedLineBorder(Color color,
                             int arcWidthHeight)

### RoundedLineBorder

    public RoundedLineBorder(Color color,
                             int arcWidthHeight,
                             int thickness)

Method Detail

### setFilled

    public void setFilled(boolean filled)

### paintBorder

    public void paintBorder(Component component,
                            Graphics g,
                            int i,
                            int j,
                            int k,
                            int l)

  Specified by:
    `paintBorder` in interface `Border`
  Overrides:
    `paintBorder` in class `LineBorder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD